MWAWFont.cxx File Reference
`#include <map>`
`#include <sstream>`
`#include <librevenge/librevenge.h>`
`#include "libmwaw_internal.hxx"`
`#include "MWAWTextListener.hxx"`
`#include "MWAWFontConverter.hxx"`
`#include "MWAWPosition.hxx"`
`#include "MWAWFont.hxx"`

## Classes
struct | MWAWFontManagerInternal::FontCompare
| internal struct used to create sorted map of font More...
struct | MWAWFontManagerInternal::State
| the state of a MWAWFontManager More...

## Namespaces
namespace | MWAWFontManagerInternal
| namespace used to define structure for the font manager

## Typedefs
typedef std::map< MWAWFont, int, FontCompare > | MWAWFontManagerInternal::FontToIdMap
| a map font to int

## Functions
std::ostream & | operator<< (std::ostream &o, MWAWFont::Line const &line)

## Function Documentation

## ◆ operator<<()

std::ostream & operator<< | ( | std::ostream & | o,
|  | MWAWFont::Line const & | line )